Intermittent browser_WebRequest.js | Uncaught exception - at :0 - Error: operation not possible on dead CPOW | Found an unexpected tab at the end of test run

RESOLVED FIXED in Firefox 50

Status

()

Firefox
General
P5
normal
RESOLVED FIXED
3 years ago
2 years ago

People

(Reporter: RyanVM, Assigned: mrbkap)

Tracking

(Blocks: 1 bug, {intermittent-failure})

unspecified
Firefox 52
x86_64
Linux
intermittent-failure
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(e10s+, firefox49 wontfix, firefox50 fixed, firefox51 fixed, firefox52 fixed)

Details

(Reporter)

Description

3 years ago
03:20:12 INFO - 338 INFO onBeforeRequest http://example.com/browser/toolkit/modules/tests/browser/file_script_redirect.js
03:20:12 INFO - 339 INFO TEST-PASS | toolkit/modules/tests/browser/browser_WebRequest.js | correct <browser> element
03:20:12 INFO - 340 INFO TEST-PASS | toolkit/modules/tests/browser/browser_WebRequest.js | resource type is correct
03:20:12 INFO - 341 INFO onBeforeRequest http://example.com/browser/toolkit/modules/tests/browser/nonexistent_script_url.js
03:20:12 INFO - 342 INFO TEST-PASS | toolkit/modules/tests/browser/browser_WebRequest.js | correct <browser> element
03:20:12 INFO - 343 INFO TEST-PASS | toolkit/modules/tests/browser/browser_WebRequest.js | resource type is correct
03:20:12 INFO - 344 INFO onBeforeSendHeaders http://example.com/browser/toolkit/modules/tests/browser/nonexistent_script_url.js
03:20:12 INFO - 345 INFO TEST-PASS | toolkit/modules/tests/browser/browser_WebRequest.js | correct <browser> element
03:20:12 INFO - 346 INFO TEST-PASS | toolkit/modules/tests/browser/browser_WebRequest.js | resource type is correct
03:20:12 INFO - 347 INFO TEST-UNEXPECTED-FAIL | toolkit/modules/tests/browser/browser_WebRequest.js | Uncaught exception - at :0 - Error: operation not possible on dead CPOW
03:20:12 INFO - Stack trace:
03:20:12 INFO - EventTargetChild.prototype.handleEvent@resource://gre/modules/RemoteAddonsChild.jsm:443:1
03:20:12 INFO - EventTargetChild/this.capturingHandler@resource://gre/modules/RemoteAddonsChild.jsm:413:38
03:20:12 INFO - Tester_execTest@chrome://mochikit/content/browser-test.js:741:9
03:20:12 INFO - Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:664:7
03:20:12 INFO - SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:745:59
03:20:12 INFO - Tester_execTest@chrome://mochikit/content/browser-test.js:741:9
03:20:12 INFO - Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:664:7
03:20:12 INFO - SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:745:59
03:20:12 INFO - 348 INFO Leaving test test_once
Flags: needinfo?(wmccloskey)
(Reporter)

Updated

3 years ago
tracking-e10s: --- → ?
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
This looks like it might be an issue in the test harness rather than this particular test. Also doesn't look too common.
Flags: needinfo?(wmccloskey)

Updated

3 years ago
Blocks: 984139
tracking-e10s: ? → +
Inactive; closing (see bug 1180138).
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → WORKSFORME
Status: RESOLVED → REOPENED
Resolution: WORKSFORME → ---

Comment 6

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 4
* fx-team: 2
* mozilla-central: 1

Platform breakdown:
* linux64: 3
* osx-10-10: 2
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1166013&startday=2016-04-11&endday=2016-04-17&tree=all

Comment 7

2 years ago
22 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 9
* fx-team: 7
* try: 2
* mozilla-central: 2
* ash: 2

Platform breakdown:
* osx-10-10: 17
* windows7-32: 2
* windowsxp: 1
* windows8-64: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1166013&startday=2016-04-18&endday=2016-04-24&tree=all

Comment 8

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 4
* try: 1

Platform breakdown:
* osx-10-10: 2
* windows7-32: 1
* linux64: 1
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1166013&startday=2016-04-25&endday=2016-05-01&tree=all

Comment 9

2 years ago
13 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 8
* try: 2
* mozilla-central: 1
* fx-team: 1
* ash: 1

Platform breakdown:
* osx-10-10: 7
* linux64: 5
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1166013&startday=2016-05-10&endday=2016-05-16&tree=all

Comment 10

2 years ago
11 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 9
* mozilla-central: 1
* fx-team: 1

Platform breakdown:
* osx-10-10: 7
* linux32: 3
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1166013&startday=2016-05-16&endday=2016-05-22&tree=all

Comment 11

2 years ago
14 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* fx-team: 5
* mozilla-inbound: 4
* try: 3
* mozilla-central: 2

Platform breakdown:
* osx-10-10: 9
* linux64: 4
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1166013&startday=2016-05-23&endday=2016-05-29&tree=all

Comment 12

2 years ago
16 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 9
* fx-team: 5
* mozilla-central: 1
* ash: 1

Platform breakdown:
* windows7-32: 8
* linux64: 7
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1166013&startday=2016-05-30&endday=2016-06-05&tree=all

Comment 13

2 years ago
19 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 13
* fx-team: 4
* mozilla-central: 1
* mozilla-beta: 1

Platform breakdown:
* windows7-32: 16
* linux64: 2
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1166013&startday=2016-06-06&endday=2016-06-12&tree=all

Comment 14

2 years ago
10 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 6
* fx-team: 3
* ash: 1

Platform breakdown:
* windows7-32: 9
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1166013&startday=2016-06-13&endday=2016-06-19&tree=all

Comment 15

2 years ago
14 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 7
* try: 4
* fx-team: 2
* mozilla-beta: 1

Platform breakdown:
* windows7-32: 10
* osx-10-10: 3
* windows7-32-vm: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1166013&startday=2016-06-20&endday=2016-06-26&tree=all

Comment 16

2 years ago
19 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 11
* mozilla-central: 3
* fx-team: 2
* autoland: 2
* mozilla-beta: 1

Platform breakdown:
* windows7-32: 13
* linux64: 3
* linux32: 2
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1166013&startday=2016-06-27&endday=2016-07-03&tree=all
Intermittent e10s test failure
Priority: -- → P5

Comment 18

2 years ago
28 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 11
* fx-team: 7
* mozilla-central: 4
* mozilla-aurora: 3
* mozilla-beta: 2
* autoland: 1

Platform breakdown:
* windows7-32: 22
* linux64: 5
* windows8-64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1166013&startday=2016-07-04&endday=2016-07-10&tree=all

Comment 19

2 years ago
24 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 11
* try: 3
* mozilla-beta: 3
* fx-team: 3
* ash: 3
* mozilla-aurora: 1

Platform breakdown:
* windows7-32: 15
* linux64: 6
* windows7-32-vm: 2
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1166013&startday=2016-07-11&endday=2016-07-17&tree=all

Updated

2 years ago
Duplicate of this bug: 1287539

Comment 21

2 years ago
10 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 3
* mozilla-inbound: 2
* mozilla-aurora: 2
* fx-team: 2
* mozilla-central: 1

Platform breakdown:
* linux64: 5
* windows7-32: 2
* linux32: 2
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1166013&startday=2016-07-18&endday=2016-07-24&tree=all

Comment 22

2 years ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 4
* mozilla-inbound: 2
* try: 1
* mozilla-beta: 1
* fx-team: 1

Platform breakdown:
* linux64: 4
* windows7-32: 3
* linux32: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1166013&startday=2016-08-08&endday=2016-08-14&tree=all

Comment 23

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* try: 1
* autoland: 1

Platform breakdown:
* linux32: 3
* linux64: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1166013&startday=2016-08-15&endday=2016-08-21&tree=all

Comment 24

2 years ago
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* mozilla-central: 2
* autoland: 2
* mozilla-beta: 1

Platform breakdown:
* linux64: 7
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1166013&startday=2016-08-22&endday=2016-08-28&tree=all

Comment 25

2 years ago
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-aurora: 2
* autoland: 2
* mozilla-inbound: 1
* mozilla-central: 1
* mozilla-beta: 1
* fx-team: 1

Platform breakdown:
* linux64: 4
* windows7-32: 3
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1166013&startday=2016-08-29&endday=2016-09-04&tree=all
(Reporter)

Comment 26

2 years ago
11:29:20     INFO -  478 INFO TEST-UNEXPECTED-FAIL | toolkit/modules/tests/browser/browser_WebRequest.js | Uncaught exception - at chrome://mochitests/content/browser/toolkit/modules/tests/browser/browser_WebRequest.js:194 - Error: operation not possible on dead CPOW
11:29:20     INFO -  Stack trace:
11:29:20     INFO -      test_once@chrome://mochitests/content/browser/toolkit/modules/tests/browser/browser_WebRequest.js:194:7
11:29:20     INFO -      Tester_execTest@chrome://mochikit/content/browser-test.js:784:9
11:29:20     INFO -      Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:704:7
11:29:20     INFO -      SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:741:59
11:29:20     INFO -      Tester_execTest@chrome://mochikit/content/browser-test.js:784:9
11:29:20     INFO -      Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:704:7
11:29:20     INFO -      SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:741:59

https://dxr.mozilla.org/mozilla-central/source/toolkit/modules/tests/browser/browser_WebRequest.js#194
>  let win = browser.contentWindow.wrappedJSObject;

Any chance you can make this less CPOWy, Bill?
status-firefox49: --- → wontfix
status-firefox50: --- → affected
status-firefox51: --- → affected
Flags: needinfo?(wmccloskey)

Comment 27

2 years ago
7 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-central: 2
* fx-team: 2
* mozilla-inbound: 1
* mozilla-aurora: 1
* autoland: 1

Platform breakdown:
* linux64: 3
* linux32: 2
* windows7-32-vm: 1
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1166013&startday=2016-09-12&endday=2016-09-18&tree=all

Comment 28

2 years ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 4
* mozilla-inbound: 3
* mozilla-central: 1
* mozilla-beta: 1

Platform breakdown:
* linux32: 4
* linux64: 3
* windows8-64: 1
* windows7-32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1166013&startday=2016-09-19&endday=2016-09-25&tree=all

Comment 29

2 years ago
9 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* autoland: 3
* fx-team: 2
* try: 1

Platform breakdown:
* linux64: 8
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1166013&startday=2016-09-26&endday=2016-10-02&tree=all
(Reporter)

Comment 30

2 years ago
CPOWs were removed from this test in bug 1304531.
Assignee: nobody → mrbkap
Status: REOPENED → RESOLVED
Last Resolved: 3 years ago2 years ago
status-firefox50: affected → fixed
status-firefox51: affected → fixed
status-firefox52: --- → fixed
Depends on: 1304531
Flags: needinfo?(wmccloskey)
Resolution: --- → FIXED
Target Milestone: --- → Firefox 52
You need to log in before you can comment on or make changes to this bug.